> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atla-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Multiple Traces by IDs

> Get multiple traces by IDs

Retrieve specific traces by providing an array of trace IDs. Returns complete trace data including spans, summaries, and custom metrics for all found traces.


## OpenAPI

````yaml api-reference/openapi.yaml get /api/sdk/v1/traces/ids
openapi: 3.1.0
info:
  title: Atla Insights API
  description: Development documentation
  version: 1.0.0
servers:
  - url: https://app.atla-ai.com
    description: API server
security: []
paths:
  /api/sdk/v1/traces/ids:
    get:
      tags:
        - SDK
      summary: Get multiple traces by IDs
      description: >-
        Retrieve specific traces by providing an array of trace IDs. Returns
        complete trace data including spans, summaries, and custom metrics for
        all found traces.
      operationId: getTracesByIds
      parameters:
        - in: query
          name: ids
          schema:
            type: array
            items:
              type: string
          required: true
        - in: query
          name: include
          schema:
            type: array
            items:
              type: string
              enum:
                - spans
                - annotations
                - customMetrics
          required: false
      responses:
        '200':
          description: Successfully retrieved traces matching the provided IDs
          content:
            application/json:
              schema:
                type: object
                properties:
                  traces:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        environment:
                          type: string
                          enum:
                            - PROD
                            - DEV
                        isSuccess:
                          type:
                            - boolean
                            - 'null'
                        isCompleted:
                          type: boolean
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                        stepCount:
                          type: integer
                        startedAt:
                          type: string
                        endedAt:
                          type: string
                        durationSeconds:
                          type: number
                        ingestedAt:
                          type: string
                        spans:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              traceId:
                                type: string
                              parentSpanId:
                                type:
                                  - string
                                  - 'null'
                              spanName:
                                type:
                                  - string
                                  - 'null'
                              startTimestamp:
                                type: string
                              endTimestamp:
                                type: string
                              isException:
                                type:
                                  - boolean
                                  - 'null'
                              otelEvents:
                                type: array
                                items: {}
                              annotations:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    spanId:
                                      type: string
                                    failureMode:
                                      type: string
                                    atlaCritique:
                                      type: string
                                    id:
                                      type: string
                                  required:
                                    - spanId
                                    - failureMode
                                    - atlaCritique
                                    - id
                            required:
                              - id
                              - traceId
                              - parentSpanId
                              - spanName
                              - startTimestamp
                              - endTimestamp
                              - isException
                              - otelEvents
                        customMetricValues:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              traceId:
                                type: string
                              customMetricId:
                                type: string
                              value:
                                type: string
                              customMetric:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  dataType:
                                    type: string
                                    enum:
                                      - BOOLEAN
                                      - LIKERT_1_TO_5
                                required:
                                  - id
                                  - name
                                  - dataType
                            required:
                              - id
                              - traceId
                              - customMetricId
                              - value
                      required:
                        - id
                        - environment
                        - isSuccess
                        - isCompleted
                        - stepCount
                        - startedAt
                        - endedAt
                        - durationSeconds
                        - ingestedAt
                required:
                  - traces
        '401':
          description: Unauthorized - Invalid or missing API key
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token

````